
operationId: listTransportCompanies
summary: List transport companies
tags:
  -  transport companies

parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
  - $ref: ../../components/query-parameters/page.yml
  - $ref: ../../components/query-parameters/page-size.yml
  - $ref: ../../components/query-parameters/order-type.yml
  - $ref: ../../components/query-parameters/order-by/transport-company.yml
  - $ref: ../../components/query-parameters/filters/transport-company.yml

responses:
  200:
    description: Success
    content:
      application/json:
        schema:
          type: object
          properties:
            total:
              type: number
            results:
              type: array
              items:
                allOf:
                  - $ref: ../../components/schemas/entities/transport-company/properties.yml

  400:
    $ref: ../../components/responses/400-bad-request.yml
